### Method

# Gtk WidgetPaintable set_widget

#### Declaration [src]

    void
    gtk_widget_paintable_set_widget (
      GtkWidgetPaintable* self,
      GtkWidget* widget
    )

#### Description [src]

Sets the widget that should be observed.

Sets property | `Gtk.WidgetPaintable:widget`

#### Parameters

`widget` | `GtkWidget`
| The widget to observe.
| The argument can be `NULL`.
| The data is owned by the caller of the function.